org.apache.solr.client.solrj.response

## Class PivotField

- java.lang.Object
- - org.apache.solr.client.solrj.response.PivotField

All Implemented Interfaces:
  Serializable

    public class PivotField
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PivotField(String f, Object v, int count, List<PivotField> pivot)`

### Method Summary

Methods
`int` `getCount()`
`String` `getField()`
`List<PivotField>` `getPivot()`
`Object` `getValue()`
`String` `toString()`
`void` `write(PrintStream out, int indent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PivotField

    public PivotField(String f,
              Object v,
              int count,
              List<PivotField> pivot)

### Method Detail

#### getField

    public String getField()

#### getValue

    public Object getValue()

#### getCount

    public int getCount()

#### getPivot

    public List<PivotField> getPivot()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### write

    public void write(PrintStream out,
             int indent)